Package org.eclipse.rdf4j.rio.helpers

## Class ContextStatementCollector

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler
  - - org.eclipse.rdf4j.rio.helpers.ContextStatementCollector

- All Implemented Interfaces:
    `RDFHandler`
  Direct Known Subclasses:
    `StatementCollector`

      public class ContextStatementCollector
      extends AbstractRDFHandler

  A RDFHandler that can be used to collect reported statements in collections.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextStatementCollector​(Collection<Statement> statements, Map<String,​String> namespaces, ValueFactory vf, Resource... contexts)` | Creates a new StatementCollector that stores reported statements and namespaces in the supplied containers.
    `ContextStatementCollector​(Collection<Statement> statements, ValueFactory vf, Resource... contexts)` | Creates a new StatementCollector that stores reported statements in the supplied collection and that uses a new LinkedHashMap to store the reported namespaces.
    `ContextStatementCollector​(ValueFactory vf, Resource... contexts)` | Creates a new StatementCollector that uses a new ArrayList to store the reported statements and a new LinkedHashMap to store the reported namespaces.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Clear the set of collected statements.
    `Map<String,​String>` | `getNamespaces()` | Gets the map that contains the collected namespaces.
    `Collection<Statement>` | `getStatements()` | Gets the collection that contains the collected statements.
    `void` | `handleNamespace​(String prefix, String uri)` | Handles a namespace declaration/definition.
    `void` | `handleStatement​(Statement st)` | Handles a statement.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler

      `endRDF, handleComment, startRDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextStatementCollector

          public ContextStatementCollector​(ValueFactory vf,
                                           Resource... contexts)

      Creates a new StatementCollector that uses a new ArrayList to store the reported statements and a new LinkedHashMap to store the reported namespaces.

    - #### ContextStatementCollector

          public ContextStatementCollector​(Collection<Statement> statements,
                                           ValueFactory vf,
                                           Resource... contexts)

      Creates a new StatementCollector that stores reported statements in the supplied collection and that uses a new LinkedHashMap to store the reported namespaces.

    - #### ContextStatementCollector

          public ContextStatementCollector​(Collection<Statement> statements,
                                           Map<String,​String> namespaces,
                                           ValueFactory vf,
                                           Resource... contexts)

      Creates a new StatementCollector that stores reported statements and namespaces in the supplied containers.

  - ### Method Detail

    - #### clear

          public void clear()

      Clear the set of collected statements.

    - #### getStatements

          public Collection<Statement> getStatements()

      Gets the collection that contains the collected statements.

    - #### getNamespaces

          public Map<String,​String> getNamespaces()

      Gets the map that contains the collected namespaces.

    - #### handleNamespace

          public void handleNamespace​(String prefix,
                                      String uri)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Overrides:
        `handleNamespace` in class `AbstractRDFHandler`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `uri` - The URI that the prefix maps to.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleStatement

          public void handleStatement​(Statement st)

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Overrides:
        `handleStatement` in class `AbstractRDFHandler`
      Parameters:
        `st` - The statement.